Bail out if web branch is unclean like build does

pull/1154/head
Joshua Boniface 5 years ago
parent 3320d4feeb
commit 56365e9237

@ -36,9 +36,19 @@ git submodule update --init --recursive
# configure branch
pushd MediaBrowser.WebDashboard/jellyfin-web
if ! git diff-index --quiet HEAD --; then
popd
echo
echo "ERROR: Your 'jellyfin-web' submodule working directory is not clean!"
echo "This script will overwrite your unstaged and unpushed changes."
echo "Please do development on 'jellyfin-web' outside of the submodule."
exit 1
fi
git fetch --all
git checkout origin/${web_branch} || {
echo "jellyfin-web branch ${web_branch} is invalid."
echo "ERROR: 'jellyfin-web' branch ${web_branch} is invalid."
exit 1
}
popd

Loading…
Cancel
Save